Bug 1125773 - Fail to install pyodbc in python app due to miss 'unixODBC-devel' package
Summary: Fail to install pyodbc in python app due to miss 'unixODBC-devel' package
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 03:26 UTC by Ma xiaoqiang
Modified: 2017-01-13 22:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 22:18:38 UTC


Attachments (Terms of Use)

Description Ma xiaoqiang 2014-08-01 03:26:19 UTC
Description of problem:
Fail to install pyodbc in python app due to miss 'unixODBC-devel' package 

Version-Release number of selected component (if applicable):
puddle [2.1.4/2014-07-28.1]

How reproducible:
100%

Steps to Reproduce:
1.Create an python app on optional node
2.Install pyodbc in the app
#vim setup.py
from setuptools import setup

setup(name='YourAppName',
      version='1.0',
      description='OpenShift App',
      author='Your Name',
      author_email='example@example.com',
      url='http://www.python.org/sigs/distutils-sig/',
 install_requires=['pymongo','pyodbc'],
3.Deploy the app
#git commit -amx && git push 


Actual results:
Output:
<--snip-->
remote: In file included from /tmp/easy_install-4f1SU3/pyodbc-3.0.7/src/connection.cpp:12:
remote: /tmp/easy_install-4f1SU3/pyodbc-3.0.7/src/pyodbc.h:52:17: error: sql.h: No such file or directory
remote: /tmp/easy_install-4f1SU3/pyodbc-3.0.7/src/pyodbc.h:53:20: error: sqlext.h: No such file or directory
remote: In file included from /tmp/easy_install-4f1SU3/pyodbc-3.0.7/src/connection.cpp:12:
remote: /tmp/easy_install-4f1SU3/pyodbc-3.0.7/src/pyodbc.h:69: error: 'IsSet' declared as an 'inline' variable
remote: /tmp/easy_install-4f1SU3/pyodbc-3.0.7/src/pyodbc.h:69: error: 'DWORD' was not declared in this scope
<--snip-->


Expected results:
Install pyodbc successfully

Additional info:

Comment 1 Brenton Leanhardt 2014-08-01 12:33:14 UTC
In most cases we would expect the admin to install the dependency.  However, since this package ships in RHEL we could add it to the recommended dependencies metapackage for python.  We actually already have it in the recommended-diy metapackage.

Comment 3 Rory Thrasher 2017-01-13 22:18:38 UTC
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/


Note You need to log in before you can comment on or make changes to this bug.